Bug 733749 - certificates from files should not be selected by their file base names
Summary: certificates from files should not be selected by their file base names
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: crypto-utils
Version: 19
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 733685 733657 733752 754771 768669
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 17:20 UTC by Elio Maldonado Batiz
Modified: 2014-01-27 12:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 733657
Environment:
Last Closed: 2014-01-27 12:52:32 UTC


Attachments (Terms of Use)

Description Elio Maldonado Batiz 2011-08-26 17:20:53 UTC
+++ This bug was initially created as a clone of Bug #733657 +++

Description of problem:
File base names are not globally unique.  Their collisions cause us problems.


Version-Release number of selected component (if applicable):
curl-7.21.7-4.fc17


Steps to Reproduce:
1. load two client certificates from file with the same file base names


Actual results:
nickname collision


Additional info:
The same problem occurs when the contents of a file is changed meanwhile.

--- Additional comment from kdudka@redhat.com on 2011-08-26 10:01:36 EDT ---

Created attachment 520096 [details]
first draft of the patch

Comment 1 Joe Orton 2012-04-12 20:13:54 UTC
How is this related to crypto-utils exactly?

Comment 2 Elio Maldonado Batiz 2012-04-12 21:45:46 UTC
(In reply to comment #1)
> How is this related to crypto-utils exactly?

Originally I opened this bug for all clients of of the PEM module. After some thought it turns out that crypto-utils usage is so simple that if doesn't really need to be modified at all.

Comment 3 Fedora End Of Life 2013-04-03 18:16:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Joe Orton 2014-01-27 12:52:32 UTC
Closing per comment 2.


Note You need to log in before you can comment on or make changes to this bug.